Bug 241688 - (CVE-2007-2691) CVE-2007-2691 mysql DROP privilege not enforced when renaming tables
CVE-2007-2691 mysql DROP privilege not enforced when renaming tables
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.mysql.com/bug.php?id=27515
impact=low,source=gentoo,reported=200...
: Security
Depends On: 243990 243991 282471 445321
Blocks: 433686
  Show dependency treegraph
 
Reported: 2007-05-29 11:46 EDT by Red Hat Product Security
Modified: 2011-09-28 11:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 11:17:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-05-29 11:46:58 EDT
Description of problem:

Contrary to what the documentation says, ALTER privilege on the old table
and CREATE and INSERT privileges on the new table are sufficient for the
user to be able to rename a table.

Version-Release number of selected component (if applicable):

MySQL before 4.1.23, 5.0.x before 5.0.42, and 5.1.x before 5.1.18.
Comment 8 Tomas Hoger 2008-05-06 08:58:37 EDT
Upstream bug report: http://bugs.mysql.com/bug.php?id=27515
Comment 10 Red Hat Bugzilla 2009-10-23 15:04:53 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 11 Kurt Seifried 2011-09-28 11:17:22 EDT
This issue has been addressed in following products:

  Red Hat Linux Enterprise 4
  Red Hat Linux Enterprise 5
  Red Hat Application Stack v1 for Enterprise Linux AS/ES (v.4)

Via 
  https://rhn.redhat.com/errata/RHSA-2008-0768.html 
  https://rhn.redhat.com/errata/RHSA-2008-0364.html
  https://rhn.redhat.com/errata/RHSA-2007-0894.html

Note You need to log in before you can comment on or make changes to this bug.